Subject: Re: How to detect win9 vs NT?
From: [email-masked] (Ingo Blank)

16 Aug 1998 07:01:25 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

[email-masked] wrote:

> Where do I look to see the approved cygwin32 method for an application to
> determine whether it's running under NT or 95?

#include <windows.h>

#if defined (WIN32)
   #define IS_WIN32 TRUE
#else
   #define IS_WIN32 FALSE
#endif
#define IS_NT      IS_WIN32 && (BOOL)(GetVersion() < 0x80000000)
#define IS_WIN32S  IS_WIN32 && (BOOL)(!(IS_NT) &&
(LOBYTE(LOWORD(GetVersion()))<4))
#define IS_WIN95 (BOOL)(!(IS_NT) && !(IS_WIN32S)) && IS_WIN32

>

I hope that's what you needIngo

>  I'd like for libf2c at least
> to be aware so that, for instance, cpu_time() may be made to work under 9x.
> There may be others.
>
>  Some of the functions which come with B19.1 are broken unnecessarily under
> 95, such as clock().  That would seem to be a close analogy with
> system_clock(), which works.
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
>
> .

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".